﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace SmartDevice
{
    public partial class Form1 : Form
    {

        private float Fator = 0;
        WS_PosicaoGPS.PosicaoGPS objGPS = new WS_PosicaoGPS.PosicaoGPS();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            objGPS.Url = "http://marcelonote:51769/PosicaoGPS.asmx";
        }

        private void btnParado_Click_1(object sender, EventArgs e)
        {
            Fator = 0;
        }

        private void btnRapido_Click_1(object sender, EventArgs e)
        {
            Fator = (float)0.001;
        }

        private void btnLento_Click_1(object sender, EventArgs e)
        {
            Fator = (float)0.0001;
        }

        private void cboVeiculos_SelectedIndexChanged(object sender, EventArgs e)
        {
            //Seta as saidas default para cada veiculo
            switch (cboVeiculos.SelectedIndex)
            {
                case 0:
                    txtLatitude.Text = "";
                    txtLongitude.Text = "";
                    break;
                case 1:
                    txtLatitude.Text = "-23,4326";
                    txtLongitude.Text = "-46,4822";
                    break;
                case 2:
                    txtLatitude.Text = "-23,6318";
                    txtLongitude.Text = "-46,6589";
                    break;
                case 3:
                    txtLatitude.Text = "-23,6003";
                    txtLongitude.Text = "-46,7199";
                    break;
                case 4:
                    txtLatitude.Text = "-23,5263";
                    txtLongitude.Text = "-46,5662";
                    break;
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (Fator > 0 && (txtLatitude.Text.Length == 0 || txtLongitude.Text.Length == 0))
                Fator = 0;

            lblFator.Text = "Fator: " + Fator.ToString();
            if (Fator > 0)
            {
                lblConexao.Text = "Comunicando...";
                lblConexao.Refresh();
                txtLatitude.Text = (float.Parse(txtLatitude.Text) + Fator).ToString();
                txtLongitude.Text = (float.Parse(txtLongitude.Text) + Fator).ToString();
                objGPS.InformaPosicao(cboVeiculos.SelectedIndex, float.Parse(txtLongitude.Text), float.Parse(txtLatitude.Text));
                lblConexao.Text = "Inativo";
                lblConexao.Refresh();
            }
        }
    }
}